PUT api/SyncIncident/Run?startDate={startDate}&endDate={endDate}&corporationCode={corporationCode}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| startDate | date |
None. |
|
| endDate | date |
None. |
|
| corporationCode | string |
Default value is |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfSpotterSyncResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of SpotterSyncResponse |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CorporationCode": "sample string 1",
"Success": true,
"Message": "sample string 3"
},
{
"CorporationCode": "sample string 1",
"Success": true,
"Message": "sample string 3"
}
],
"totalCount": 3
}
application/xml, text/xml
Sample:
<AsapResponseOfArrayOfSpotterSyncResponseR3J9a1gw xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.Common">
<isSuccess>true</isSuccess>
<jsonObj xmlns:d2p1="http://schemas.datacontract.org/2004/07/ASAP_BL.BL._SpotterIntegration">
<d2p1:SpotterSyncResponse>
<d2p1:CorporationCode>sample string 1</d2p1:CorporationCode>
<d2p1:Message>sample string 3</d2p1:Message>
<d2p1:Success>true</d2p1:Success>
</d2p1:SpotterSyncResponse>
<d2p1:SpotterSyncResponse>
<d2p1:CorporationCode>sample string 1</d2p1:CorporationCode>
<d2p1:Message>sample string 3</d2p1:Message>
<d2p1:Success>true</d2p1:Success>
</d2p1:SpotterSyncResponse>
</jsonObj>
<message>sample string 2</message>
<totalCount>3</totalCount>
</AsapResponseOfArrayOfSpotterSyncResponseR3J9a1gw>